# tagkit documentation

[![GitHub](https://img.shields.io/badge/GitHub-rvforest%2Ftagkit-blue?logo=github)](https://github.com/rvforest/tagkit)
[![Read the Docs](https://img.shields.io/readthedocs/tagkit)](https://tagkit.readthedocs.io)

[![Checks](https://img.shields.io/github/check-runs/rvforest/tagkit/main)](https://github.com/rvforest/tagkit/actions/workflows/run-checks.yaml?query=branch%3Amain)
[![codecov](https://codecov.io/gh/rvforest/tagkit/graph/badge.svg?token=JXB4LR2241)](https://codecov.io/gh/rvforest/tagkit)

[![PyPI](https://img.shields.io/pypi/v/tagkit.svg)](https://pypi.org/project/tagkit/)
[![Python Versions](https://img.shields.io/pypi/pyversions/tagkit.svg)](https://pypi.org/project/tagkit/)

[![License: MIT](https://img.shields.io/badge/License-MIT-blue.svg)](https://opensource.org/licenses/MIT)

Welcome to the documentation for **tagkit**, a Python library for reading, writing, and managing image tags and EXIF metadata in Python projects.

Tagkit provides a simple API, CLI, and extensible backend system for working with EXIF data in images.

```{toctree}
:maxdepth: 1
:caption: Getting Started:
:hidden:

getting_started/installation.md
getting_started/quickstart.md

```

```{toctree}
:maxdepth: 1
:caption: User Guide:
:hidden:

user_guide/cli.md
user_guide/reading.md
user_guide/writing.md
user_guide/batch_processing.md
```

```{toctree}
:maxdepth: 1
:caption: Reference:
:hidden:

apidocs/index
reference/tag_reference.md
```

```{toctree}
:maxdepth: 1
:caption: Development:
:hidden:

development/contributing.md
development/development_guide.md
```
